cURL
curl --request POST \ --url https://api.ledgerbeam.com/v1/resources/validate-connection \ --header 'API-KEY: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "resource_type": "postgresql", "meta": {} } '
{ "status": "connected", "message": "Connection successful", "checked_at": "2024-01-15T10:30:00Z" }
Validate a resource connection before creating
Documentation IndexFetch the complete documentation index at: https://docs.ledgerbeam.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ledgerbeam.com/llms.txt
Use this file to discover all available pages before exploring further.
API key for authentication
Resource type to validate
"postgresql"
Connection metadata to validate
Connection validated successfully
Connection status
connected
disconnected
error
"connected"
Status message
"Connection successful"
Check timestamp
"2024-01-15T10:30:00Z"